
## carregando pacote para dados composicionais
require(compositions)

## lendo dados do Arctic Lake:
## 39 observaes de V1=areia(sand),V2= silte(silt) e V3=argila(clay)
## os dados esto em porcentagem somando 100% em linha.

dados <- read.table('ArticoLakepont.txt')
head(dados)

## vendo os dados como composies, expressas em forma de fraes decimais
## acomp divide cada linha por 100
    
comp <- acomp(dados)
names(comp) <- c("Areia","Silte","Argila")
head(comp)

## construindo diagrama ternrio

plot(comp)
## O diagrama mostra que existe um cluster substancial de composies com
## baixa proporo de areia, e propores aproximadamente iguais de silte e argila.
## Pela extenso dos pontos ao longo do lado areia-argila (V1-V3) e ao longo do lado  
## silte-argila (V2-V3), pode-se afirmar que razo areia/argila  muito mais varivel
## que a razo silte/argila. 



## vendo os dados como quantidades

quant <- aplus(dados)
names(quant)<-c('Areia','Silte','Argila')
head(quant)

## matriz de diagramas de disperso

plot(quant)

## plotando a mdia geomtrica

plot(comp)
plot(mean(comp),add=T,pch=20,col="red")
# exibindo a regio 2-sigma
ellipses(mean(comp),var(comp),col="red", r=2)

## estatsticas descritivas:

## mdia geomtrica
mean(comp)

## varincia na CLR estrutura de espao euclidiano
var(comp)

## varincia mtrica que  o trao da matriz CLR 
mvar(comp)

## desvio padro mtrico - sqrt(mvar/(D-1))
msd(comp)

## desvio padro componentwise clssico
sd(comp)

## matriz variao: var(log(x_i/x_j))
variation(comp)

## varincia total, a partir da varincia na estrutura CLR:
## Para isto cria-se um vetor de uns com 3 elementos.

x<-c(1,1,1)
x
# calculando o transposto
xt<-t(x)
xt
varTot <- mvar(comp)-(1/3)*(xt%*%var(comp)%*%x)
varTot
